### Method

# ECal Component get_transparency

since: 3.34

#### Declaration [src]

    ECalComponentTransparency
    e_cal_component_get_transparency (
      ECalComponent* comp
    )

#### Description [src]

Queries the time transparency of a calendar component object.

Available since: 3.34

#### Return value

Type: `ECalComponentTransparency`

The time transparency, as an `ECalComponentTransparency`; value #E_CAL_COMPONENT_TRANSP_NONE is returned when none is set.